mia-2dseriescorr
Prev | Tools for Myocardial Perfusion Analysis | Next

### mia-2dseriescorr

#### Sysnopis:

`mia-2dseriescorr` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

Given a set of images of temporal succession, evaluates images that represent the time-intensity correlation in horizontal and vertical direction as well as average correlation of each pixel with its neighbors. All input images must be of the same pixel type and size.

#### Options:

-i, --in-base=(input, required); io

  input file name base. For supported file types see Plugin type: 2dimage/io

-o, --outname=(output, required); io

  output file name to save the avarage per-pixel correlation. For supported file types see Plugin type: 2dimage/io

-z, --horizontal=(output); io

  horiZontal correlation output file name. For supported file types see Plugin type: 2dimage/io

-t, --vertical=(output); io

  verTical correlation output file name. For supported file types see Plugin type: 2dimage/io

-k, --skip=2; ulong

  skip images at beginning of series

-e, --end=60; ulong

  last image in series

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the time-intensity correaltions for an image series imageXXXX.png starting at image 2 and stop at image 30. Store the results in horizontal.exr, and vertical.exr.

    mia-2dseriescorr -i image0000.png -k 2 -e 30 -z horizontal.exr -t vertical.exr

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dseries2sets | Home | mia-2dseriesgradMAD